


---

 25-akpm/fs/hugetlbfs/inode.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/hugetlbfs/inode.c~hugepage-fixes-fix fs/hugetlbfs/inode.c
--- 25/fs/hugetlbfs/inode.c~hugepage-fixes-fix	2004-04-23 04:04:04.151782784 -0700
+++ 25-akpm/fs/hugetlbfs/inode.c	2004-04-23 04:04:16.855851472 -0700
@@ -142,7 +142,7 @@ void huge_pagevec_release(struct pagevec
 	int i;
 
 	for (i = 0; i < pagevec_count(pvec); ++i)
-		huge_page_release(pvec->pages[i]);
+		put_page(pvec->pages[i]);
 
 	pagevec_reinit(pvec);
 }
@@ -152,7 +152,7 @@ void truncate_huge_page(struct page *pag
 	clear_page_dirty(page);
 	ClearPageUptodate(page);
 	remove_from_page_cache(page);
-	huge_page_release(page);
+	put_page(page);
 }
 
 void truncate_hugepages(struct address_space *mapping, loff_t lstart)

_
